<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\models\Category */
/* @var $form yii\bootstrap\ActiveForm */
?>

<div class="category-form">

    <?php $form = ActiveForm::begin(); ?>

    <?php echo $form->errorSummary($model); ?>
    <div class="row">
        <div class="col-md-3">
            <?php echo $form->field($model, 'name')->textInput(['maxlength' => true]) ?>
        </div>
        <div class="col-md-3">
            <?php echo $form->field($model, 'description')->textarea(['maxlength' => true]) ?>

        </div>
    </div>

    <div class="row">
        <div class="col-md-3">
            <?php echo $form->field($model, 'slug')->textInput(['maxlength' => true]) ?>
        </div>
        <div class="col-md-3">
            <?= $form->field($model, 'status')->dropDownList($model::statuses(), ['prompt' => '']) ?>
        </div>
    </div>
    <div class="row">
        <div class="col-md-3">
            <?=  $form->field($model, 'image')->widget(
                \trntv\filekit\widget\Upload::className(),
                [
                    'url' => ['/file-storage/upload'],
                ])->label('Image(1280x854)');
            ?>
        </div>
    </div>

    <div class="form-group">
        <?php echo Html::submitButton($model->isNewRecord ? Yii::t('backend', 'Create') : Yii::t('backend', 'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
